We support Apple Safari, Google Chrome, and Microsoft Edge browsers. As there are known audio issues with Apple Safari Version 14.01, we advise you to use version Safari 14.03 or greater.

Did this answer your question?